Flecs: flecs::_::find_delegate< Func, Components > Struct Template Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.0 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
flecs::_::find_delegate< Func, Components > Struct Template Reference
Inheritance diagram for flecs::_::find_delegate< Func, Components >:
[legend]

## Public Types
using | Terms = typename field_ptrs<Components ...>::array

## Public Member Functions
template<if_not_t< is_same< decay_t< Func >, decay_t< Func > & >::value > = 0>
| find_delegate (Func &&func) noexcept
| find_delegate (const Func &func) noexcept
flecs::entity | invoke (ecs_iter_t *iter) const

## Detailed Description

template<typename Func, typename ... Components>
struct flecs::_::find_delegate< Func, Components >

Definition at line 399 of file delegate.hpp.

## Member Typedef Documentation

## ◆ Terms

template<typename Func, typename ... Components>

using flecs::_::find_delegate< Func, Components >::Terms = typename field_ptrs<Components ...>::array

Definition at line 400 of file delegate.hpp.

## Constructor & Destructor Documentation

## ◆ find_delegate() [1/2]

template<typename Func, typename ... Components>
template<if_not_t< is_same< decay_t< Func >, decay_t< Func > & >::value > = 0>

flecs::_::find_delegate< Func, Components >::find_delegate | ( | Func && | func | ) |
| inlineexplicitnoexcept

Definition at line 403 of file delegate.hpp.

## ◆ find_delegate() [2/2]

template<typename Func, typename ... Components>

flecs::_::find_delegate< Func, Components >::find_delegate | ( | const Func & | func | ) |
| inlineexplicitnoexcept

Definition at line 406 of file delegate.hpp.

## Member Function Documentation

## ◆ invoke()

template<typename Func, typename ... Components>

flecs::entity flecs::_::find_delegate< Func, Components >::invoke | ( | ecs_iter_t * | iter | ) | const
| inline

Definition at line 412 of file delegate.hpp.

The documentation for this struct was generated from the following file:

- include/flecs/addons/cpp/delegate.hpp